Bug 213679 - summary popup crashes mail-notification
summary popup crashes mail-notification
Product: Fedora
Classification: Fedora
Component: mail-notification (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-02 10:16 EST by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-10 16:03:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-11-02 10:16:39 EST
once I learned to install the evolution plugin, I was able to configure
mail-notification to look at my evolution inbox. Unfortunately, it crashed
immediately, when trying to display a summary popup of the ~500 unread messages 
in that folder. The crash was due to some X error, so I assume it is just trying
to create a humongous window to show all the messages. 

As a rule of thumb, never make popups larger than the screen. And displaying
a summary of 100s of messages is probably not very helpful in the first place.
So maybe restricting the popup to a most screen height and at most the first, 
say, 10 messages might make this tool a lot more useful.
Comment 1 Thorsten Leemhuis 2006-11-04 08:08:14 EST
reported upstream
Comment 2 Thorsten Leemhuis 2006-11-10 16:03:29 EST
Answer from upstream deeloper:
It's X's job to not crash when displaying a huge window. Anyway, that popup code
is gone in what will become the next version (libnotify is now used).

For now you should simply refrain from monitoring mailboxes which contain that
many unread mails (I see no point in doing so anyway). If you can no longer use
MN because it crashes at startup while trying to display the huge popup, just
remove the offending mailbox from ~/.gnome2/mail-notification/mailboxes.xml

So a fix will be in the next version. Sorry, that solution is far from perfect,
but I don't hae the manpower to fix that on my own.

Note You need to log in before you can comment on or make changes to this bug.